activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mateusz Pawlowski (JIRA)" <j...@apache.org>
Subject [jira] Created: (AMQ-2898) grep option is not POSIX compliant
Date Mon, 06 Sep 2010 15:56:40 GMT
grep option is not POSIX compliant
----------------------------------

                 Key: AMQ-2898
                 URL: https://issues.apache.org/activemq/browse/AMQ-2898
             Project: ActiveMQ
          Issue Type: Bug
    Affects Versions: 5.4.0
         Environment: SunOS 5.10 Generic_142901-06 i86pc i386 i86pc
PATH=/usr/sfw/bin:/usr/ccs/bin:/usr/local/bin:/usr/postgres/8.3/bin/64:/usr/apache2/bin/:/usr/bin
            Reporter: Mateusz Pawlowski


in the bin/activemq script use of -q option on standard grep is not working :

$./activemq status
grep: illegal option -- q
Usage: grep -hblcnsviw pattern file . . .
ERROR: There are syntax errors in '/etc/default/activemq'


after changing script to use ggrep which is the GNU grep in Solaris script no longer reported
this issue

there can be 2 solutions:

use of POSIX compliant grep options or
detection of grep version and trying to use ggrep 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message